## qimageblitz 0.0.6

=== debian/changelog ===
qimageblitz (1:0.0.6-5) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Bump debhelper compat and build dep to 9.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Pino Toscano ]
  * Update Vcs-* fields.
  * Backport upstream r1203426 to use the proper C compiler when building
    assembler sources; patch r1203426.diff.
  * Backport upstream r1286623 to fix build with newer/different C++
    compilers; patch r1286623.diff.
  * Remove libqimageblitz-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 4.0.0, no changes required.

  [ Helmut Grohne ]
  * Fix build/host confusion in rules. (Closes: #839283)

 -- Pino Toscano <pino@debian.org>  Mon, 26 Jun 2017 19:55:31 +0200

qimageblitz (1:0.0.6-4) unstable; urgency=low

  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Thu, 23 Jun 2011 11:26:47 +0300

qimageblitz (1:0.0.6-3) unstable; urgency=low

  * Switch debian/rules engine to qt-kde-team/2/*.
  * Update symbol file (Qt 4.7 specific changes).

 -- Modestas Vainius <modax@debian.org>  Sun, 13 Mar 2011 22:51:26 +0200

qimageblitz (1:0.0.6-2) unstable; urgency=low

  * Update libqimageblitz4.symbols for other arches, fixes FTBFSes.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Sep 2010 12:36:21 +0300

qimageblitz (1:0.0.6-1) unstable; urgency=low

  * New upstream release.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).
  * Switch from internal debian/cdbs/kde.mk to pkg-kde-tools:
    - build depend on pkg-kde-tools 0.4;
    - remove debian/cdbs directory;
    - replace debian/cdbs/kde.mk with
      /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk in debian/rules.
  * Add Vcs fields to debian/control.
  * Switch to debian source format 3.0 (quilt):
    - remove build dependency on quilt;
    - bump pkg-kde-tools build dependency to 0.9 (needed for 3.0 (quilt)).
  * Strip version numbers from KDE 4 in descriptions, remove references to
    Quasar.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Move libqimageblitz-dbg package to the bottom of debian/control.
  * Change libimageblitz-dbg section to debug.
  * Remove Matthew from Uploaders, R.I.P.
  * Change Sune's email address to @debian.org.
  * Add myself to Uploaders.
  * Update packaging copyright years in debian/copyright.
  * Strip ./ from libqimageblitz-dev.install.
  * Sort install files.
  * Add a symbol file for libqimageblitz4 (based on 0.0.4).
  * Refresh patches.
  * Remove duplicate Section fields from debian/control.
  * Add Copyright next to (C) in the statement about Debian packaging
    copyright (fixes lintian error).
  * Disable /usr/lib R(UN)PATH (patch 13_disable_usr_lib_rpath.diff).

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Sep 2010 21:26:37 +0300

qimageblitz (1:0.0.4-4) unstable; urgency=low

  * Upload to unstable.
  * Move .gnu.note section for non-i386 architectures. (Closes: #479575)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 May 2008 14:51:27 +0200

qimageblitz (1:0.0.4-3) experimental; urgency=low

  +++ Changes by Fathi Boudra:

  * Remove FindQt4.cmake local copy.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 28 Apr 2008 23:03:04 +0200

qimageblitz (1:0.0.4-2) experimental; urgency=low

  +++ Changes by Matthew Rosewarne:

  * Forcibly enable CPU optimizations.
  * Move libqimageblitz-dbg to Section: libdevel.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Build against Qt4 4.4 in experimental:
   - Add versioned build depend for libqt4-dev on >= 4.4.0~.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 28 Mar 2008 17:01:34 +0100

qimageblitz (1:0.0.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Matthew Rosewarne:

  * Tweak description.
  * Add Homepage: to control.
  * Build -dbg package.
  * Bump Standards-Version to 3.7.3, no changes needed.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add an epoch to fix the versioning number.
  * Update debhlper to 6.
  * Update years in copyright file.
  * Refresh patches offset.
  * Add a depend on libqimageblitz4 for the -dev package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 22 Jan 2008 01:12:28 +0100

qimageblitz (0.0.706674-2) unstable; urgency=low

  * Update copyright file.

 -- Sune Vuorela <debian@pusling.com>  Fri, 31 Aug 2007 09:43:34 +0200

qimageblitz (0.0.706674-1) unstable; urgency=low

  * New upstream release.
  * Package name change to avoid clashes with blitz++.

 -- Sune Vuorela <debian@pusling.com>  Fri, 31 Aug 2007 08:28:37 +0200

blitz (0.0.3+svn699563-1) unstable; urgency=low

  * Initial release. (Closes: #436987)
    - Hack away newer cpu optimizations.
    - Add a .gnu.note section to asm file - fixes lintian warning.

 -- Sune Vuorela <debian@pusling.com>  Sun, 12 Aug 2007 19:16:04 +0200
