=== debian/control ===
Source: qimageblitz
Priority: optional
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libqt4-dev (>= 4.4.0~),
               pkg-kde-tools (>= 0.12)
Standards-Version: 4.0.0
Homepage: http://www.kde.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-req/qimageblitz.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-req/qimageblitz.git

Package: libqimageblitz4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QImageBlitz image effects library
 QImageBlitz is an interim graphical effect and filter library for KDE that
 contains many improvements over KDE 3.x's kdefx library, including bugfixes
 and speed improvements.

Package: libqimageblitz-dev
Section: libdevel
Architecture: any
Depends: libqimageblitz4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for the QImageBlitz image effects library
 QImageBlitz is an interim graphical effect and filter library for KDE that
 contains many improvements over KDE 3.x's kdefx library, including bugfixes
 and speed improvements.
 .
 This package contains development files for building software that uses the
 QImageBlitz library.
