=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

cpu_opt_i386 = 3dnow mmx sse sse2 sse3
cpu_opt_amd64 = 3dnow mmx sse sse2 sse3
cpu_opt_powerpc = altivec

host_arch_opts = $(cpu_opt_$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU))

ifneq (,$(host_arch_opts))

override_dh_auto_configure:
	$(overridden_command) -- $(shell echo $(foreach opt,$(host_arch_opts),-DHAVE_$(opt)=ON) | tr '[:lower:]' '[:upper:]')

endif

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libqimageblitz-dbg (<< 1:0.0.6-5~)'
