=== blitz/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
 project(blitz_lib) 
 include(CheckCXXSourceCompiles)
 include(CheckIncludeFile)
+
+if (WIN32)
+ set(CMAKE_DEBUG_POSTFIX "d")
+endif (WIN32)
 
 if (APPLE)
  set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
@@ -56,11 +60,7 @@
                             SOVERSION ${BLITZ_LIB_MAJOR_VERSION}
                             DEFINE_SYMBOL MAKE_QIMAGEBLITZ_LIB
 )
-install( TARGETS qimageblitz  
-    RUNTIME DESTINATION ${BIN_INSTALL_DIR} 
-    LIBRARY DESTINATION ${LIB_INSTALL_DIR} 
-    ARCHIVE DESTINATION ${LIB_INSTALL_DIR} 
-)  
+install( TARGETS qimageblitz  DESTINATION ${LIB_INSTALL_DIR} )  
 install( FILES qimageblitz.h DESTINATION ${INCLUDE_INSTALL_DIR} ) 
 install( FILES qimageblitz_export.h DESTINATION ${INCLUDE_INSTALL_DIR} )
 install( FILES blitzcpu.h DESTINATION ${INCLUDE_INSTALL_DIR} )
